com.pixelmed.dicom

## Class ContentItemFactory.ImageContentItem

- java.lang.Object
- - com.pixelmed.dicom.ContentItem
  - - com.pixelmed.dicom.ContentItemWithValue
    - - com.pixelmed.dicom.ContentItemFactory.CompositeContentItem
      - - com.pixelmed.dicom.ContentItemFactory.ImageContentItem

All Implemented Interfaces:
  javax.swing.tree.TreeNode

Enclosing class:
  ContentItemFactory

    public class ContentItemFactory.ImageContentItem
    extends ContentItemFactory.CompositeContentItem

### Field Summary

Fields
`protected java.lang.String` `presentationStateSOPClassUID`
`protected java.lang.String` `presentationStateSOPInstanceUID`
`protected java.lang.String` `realWorldValueMappingSOPClassUID`
`protected java.lang.String` `realWorldValueMappingSOPInstanceUID`
`protected int` `referencedFrameNumber`
`protected int` `referencedSegmentNumber`

### Fields inherited from class com.pixelmed.dicom.ContentItemFactory.CompositeContentItem

`referencedSOPClassUID, referencedSOPInstanceUID, referencedSOPSequenceItemAttributeList`

### Fields inherited from class com.pixelmed.dicom.ContentItemWithValue

`conceptName, referencedContentItemIdentifier, valueType`

### Fields inherited from class com.pixelmed.dicom.ContentItem

`relationshipType`

### Constructor Summary

Constructors
Constructor and Description
`ContentItemFactory.ImageContentItem(ContentItem parent, AttributeList list)`

`ContentItemFactory.ImageContentItem(ContentItem parent, java.lang.String relationshipType, CodedSequenceItem conceptName, java.lang.String referencedSOPClassUID, java.lang.String referencedSOPInstanceUID, int referencedFrameNumber, int referencedSegmentNumber, java.lang.String presentationStateSOPClassUID, java.lang.String presentationStateSOPInstanceUID, java.lang.String realWorldValueMappingSOPClassUID, java.lang.String realWorldValueMappingSOPInstanceUID)`

### Method Summary

Methods
`java.lang.String` `getPresentationStateSOPClassUID()`
`java.lang.String` `getPresentationStateSOPInstanceUID()`
`java.lang.String` `getRealWorldValueMappingSOPClassUID()`
`java.lang.String` `getRealWorldValueMappingSOPInstanceUID()`
`int` `getReferencedFrameNumber()`
`int` `getReferencedSegmentNumber()`
`java.lang.String` `toString()` Get a human-readable string representation of the content item.

### Methods inherited from class com.pixelmed.dicom.ContentItemFactory.CompositeContentItem

`doCommonConstructorStuff, getConceptValue, getReferencedSOPClassUID, getReferencedSOPInstanceUID`

### Methods inherited from class com.pixelmed.dicom.ContentItemWithValue

`contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getConceptName, getConceptNameAndValue, getConceptNameCodeMeaning, getConceptNameCodeValue, getConceptNameCodingSchemeDesignator, getValueType`

### Methods inherited from class com.pixelmed.dicom.ContentItem

`addChild, addSibling, children, contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getGraphicData, getGraphicType, getIndex, getNamedChild, getNamedChild, getParent, getParentAsContentItem, getReferencedContentItemIdentifier, getReferencedContentItemIdentifierArray, getRelationshipType, getSingleStringValueOrNull, getSingleStringValueOrNullOfNamedChild, getSingleStringValueOrNullOfNamedChild, isLeaf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### referencedFrameNumber

    protected int referencedFrameNumber

#### referencedSegmentNumber

    protected int referencedSegmentNumber

#### presentationStateSOPClassUID

    protected java.lang.String presentationStateSOPClassUID

#### presentationStateSOPInstanceUID

    protected java.lang.String presentationStateSOPInstanceUID

#### realWorldValueMappingSOPClassUID

    protected java.lang.String realWorldValueMappingSOPClassUID

#### realWorldValueMappingSOPInstanceUID

    protected java.lang.String realWorldValueMappingSOPInstanceUID

### Constructor Detail

#### ContentItemFactory.ImageContentItem

    public ContentItemFactory.ImageContentItem(ContentItem parent,
                                       AttributeList list)

Parameters:
  `parent` -
  `list` -

#### ContentItemFactory.ImageContentItem

    public ContentItemFactory.ImageContentItem(ContentItem parent,
                                       java.lang.String relationshipType,
                                       CodedSequenceItem conceptName,
                                       java.lang.String referencedSOPClassUID,
                                       java.lang.String referencedSOPInstanceUID,
                                       int referencedFrameNumber,
                                       int referencedSegmentNumber,
                                       java.lang.String presentationStateSOPClassUID,
                                       java.lang.String presentationStateSOPInstanceUID,
                                       java.lang.String realWorldValueMappingSOPClassUID,
                                       java.lang.String realWorldValueMappingSOPInstanceUID)
                                        throws DicomException

Parameters:
  `parent` -
  `relationshipType` -
  `conceptName` -
  `referencedSOPClassUID` -
  `referencedSOPInstanceUID` -
  `referencedFrameNumber` - if < 1, not added
  `referencedSegmentNumber` - if < 1, not added
  `presentationStateSOPClassUID` -
  `presentationStateSOPInstanceUID` -
  `realWorldValueMappingSOPClassUID` -
  `realWorldValueMappingSOPInstanceUID` -
Throws:
  `DicomException`

### Method Detail

#### toString

    public java.lang.String toString()

Description copied from class: `ContentItemWithValue`

Get a human-readable string representation of the content item.

Overrides:
  `toString` in class `ContentItemFactory.CompositeContentItem`
Returns:
  the string representation of the content item

#### getReferencedFrameNumber

    public int getReferencedFrameNumber()

#### getReferencedSegmentNumber

    public int getReferencedSegmentNumber()

#### getPresentationStateSOPClassUID

    public java.lang.String getPresentationStateSOPClassUID()

#### getPresentationStateSOPInstanceUID

    public java.lang.String getPresentationStateSOPInstanceUID()

#### getRealWorldValueMappingSOPClassUID

    public java.lang.String getRealWorldValueMappingSOPClassUID()

#### getRealWorldValueMappingSOPInstanceUID

    public java.lang.String getRealWorldValueMappingSOPInstanceUID()